Subject: [mpls] Fw: I-D Action: draft-smack-mpls-rfc4379bis-02.txt

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 27 Sep 2015 06:12:03 +0000

Hi all,
I have a comment regarding draft-smack-mpls-rfc4379bis-02.

According to the draft, its purpose is "take LSP Ping to an Internet  Standard". As part of this work the authors address all the outstanding Errata to the original RFC 4379, and update the references.

I fully agree with the goal that the authors have set to themselves.

However, I have noticed that there is quite a long list of RFCs  that update RFC 4379, and it would be nice to understand whether these updates have been incorporated or not.

Specifically:
1.  RFC 6424 states that it "deprecates the Downstream Mapping TLV in favor of a new TLV". 
2. RFC 6426 extends applicability of LSP Ping to MPLS-TP thus introducing new  address types and new TLVs
3. RFC 6289  extends LSP Ping to PWs signaled with LDP sessions running on top of IPv6 and introduces new sub-TLVs
4. RFC  7506 clarifies the use of IPv6 Router Alert option for LSP Ping.
5. RFC  7537 has introduced new IANA  registries for various aspects of LSP Ping.

Neither of these RFCs is mentioned anywhere in draft-smack-mpls-rfc4379bis-02.  

Does this mean that if/when the draft is published as an RFC, all the  documents  updating RFC 4379 would equally update a new RFC?

And what would happen to all the TLVs, sub-TLVs and procedures that are defined in these documents?

I honestly do not know what is the right way to proceed here, but I think that silence is definitely not the best way to address the problem.

My 2c,
Sasha 
________________________________________
From: I-D-Announce <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Saturday, September 26, 2015 11:52 PM
To: [email-masked]
Subject: I-D Action: draft-smack-mpls-rfc4379bis-02.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Detecting Multi-Protocol Label Switched (MPLS) Data Plane Failures
        Authors         : Carlos Pignataro
                          Nagendra Kumar
                          Sam Aldrin
                          Mach(Guoyi) Chen
        Filename        : draft-smack-mpls-rfc4379bis-02.txt
        Pages           : 49
        Date            : 2015-09-26

Abstract:
   This document describes a simple and efficient mechanism that can be
   used to detect data plane failures in Multi-Protocol Label Switching
   (MPLS) Label Switched Paths (LSPs).  There are two parts to this
   document: information carried in an MPLS "echo request" and "echo
   reply" for the purposes of fault detection and isolation, and
   mechanisms for reliably sending the echo reply.

   This document obsoletes RFC 4379.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-smack-mpls-rfc4379bis/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-smack-mpls-rfc4379bis-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-smack-mpls-rfc4379bis-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Loa Andersson <[email-masked]>
Date: Sun, 27 Sep 2015 20:10:06 +0800

Sasha,

The directives (or maybe ideas to work with) that the authors have is
basically to "do it all". I will let the authors answer to the
specifics, but one of the things I asked for is to get a first version
(we are now on the third) out to start up the discussion. That one
RFC or another is missing, is not necessarily a plan, but we know
that this has to be a wg wide effort to get it right.

I've already told the authors that we expect a f2f discussion in
Yokohama.

/Loa

On 2015-09-27 14:12, Alexander Vainshtein wrote:
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 27 Sep 2015 21:58:12 +0000

Hi Sasha,

Thanks for asking!

If you don't mind, let me start with some context: the idea of 4379bis has been there for some time, but the catalysts for this work was a comment made by an AD (I believe it was Alia) in a Rtg-chairs (or Rtg-Dir) meeting in Prague: to push (WGs to push) specs up maturity levels as it made sense. 

With that context, we are diving this work in a few steps:
1. Get the source from the Rfc Editor, convert it to XML, clean up glitches. This will give us a baseline to work from. 
2. Integrate errata and similar fixes, in chunks (make it new revision addressing one specific item or area)
3. Discuss which RFCs updating 4379 make sense to integrate in (trying to maximize the RFCs integrated into the bus)

We are now in between 1 and 2. Ready to start engaging the WG more actively and with a goal of something for Japan. 

Loa,

Thinking about this, it would make sense to get this under the pen of the WG earlier rather than later -- when should this be called for adoption?

Sasha,

Please find more thoughts inline. 

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

> On Sep 27, 2015, at 02:12, Alexander Vainshtein <[email-masked]> wrote:
> 
> Hi all,

Thanks! Although to be fair, chairs drove setting that goal for the WG. 

> However, I have noticed that there is quite a long list of RFCs  that update RFC 4379, and it would be nice to understand whether these updates have been incorporated or not.

Well, they have not been incorporated now, because we are at the point of mirroring 4379 + errata.

The plan is for the WG to discuss which ones make sense to incorporate. 

> 5. RFC  7537 has introduced new IANA  registries for various aspects of LSP Ping.

Let me answer with a question: what do you think? Which ones should be incorporated?

I have my views (as many as possible as it makes sense), but we should discuss this openly as a WG. 

> Neither of these RFCs is mentioned anywhere in draft-smack-mpls-rfc4379bis-02.  

Right. We are not there. We would not incorporate these without having the WG discussion first, which you initiated on our behalf. So, which ones should the final work mention?

> Does this mean that if/when the draft is published as an RFC, all the  documents  updating RFC 4379 would equally update a new RFC?

Of course not. It means this doc is not ready to be published as an RFC. 

Sasha,

Let's walk before we run, let's crawl before we walk...

As I mentioned (in this email and in a separate note to the WG), we are now getting a baseline to be able to have that discussion. 

It would be much messier to talk "on the air" without a document to capture the outcome of the discussion on. 

Do you suggest we break silence and have a discussion on the list, without a document to update?

I think you can understand the timing chosen. And of course we more than welcome your help and contributions and hear your suggestions if there is a better approach. 

Carlos.

---

From: Loa Andersson <[email-masked]>
Date: Mon, 28 Sep 2015 12:00:01 +0800

Carlos,

> Thinking about this, it would make sense to get this under the pen of the WG earlier rather than later -- when should this be called for adoption?

Agree that we need to do this "early", which is probably after Yokohama.

/Loa

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 28 Sep 2015 18:44:54 +0000

Carlos, Loa  and all,
Lots of thanks for prompt and detailed explanations.
I agree with Carlos that  it makes sense to speed up adoption of the draft because the WG should be actively involved in discussion of updates to 4379.

One thing that could, IMHO, help to start this process - in addition to discussion at the next IETF meeting:
Mention discussion of these updates in the "Scope of work" section of the draft. No need to go into details at this stage.
The current text mentions only update of references and incorporation of Errata. 

My 2c,
Sasha

________________________________________
From: Loa Andersson <[email-masked]>
Sent: Monday, September 28, 2015 7:00 AM
To: Carlos Pignataro (cpignata); Alexander Vainshtein
Cc: [email-masked]; Nagendra Kumar Nainar (naikumar)
Subject: Re: [mpls] I-D Action: draft-smack-mpls-rfc4379bis-02.txt

Carlos,

/Loa

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 28 Sep 2015 18:59:26 +0000

Sasha,

> On Sep 28, 2015, at 2:44 PM, Alexander Vainshtein <[email-masked]> wrote:
> 
> Carlos, Loa  and all,

Good suggestion — done.

Htmlized:       https://tools.ietf.org/html/draft-smack-mpls-rfc4379bis-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-smack-mpls-rfc4379bis-03

It’s included as a ToDo, since Scope only shows what was already “done”.

Thanks,

— Carlos.

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 29 Sep 2015 05:36:45 +0000

Carlos,
Lots of thanks for an extra-prompt positive response!

Regards,
Sasha

________________________________________
From: Carlos Pignataro (cpignata) <[email-masked]>
Sent: Monday, September 28, 2015 9:59 PM
To: Alexander Vainshtein
Cc: Loa Andersson; [email-masked]; Nagendra Kumar Nainar (naikumar)
Subject: Re: [mpls] I-D Action: draft-smack-mpls-rfc4379bis-02.txt

Sasha,

Good suggestion — done.

Thanks,

— Carlos.